Name:           guile-gnome-platform
Version:        2.15.93
Release:        8%{?dist}
Summary:        Guile wrapper collection for the GNOME library stack

Group:          Applications/System
License:        GPLv2
URL:            http://www.gnu.org/software/guile-gnome/
Source0:        http://ftp.gnu.org/pub/gnu/guile-gnome/%{name}/%{name}-%{version}.tar.gz
Patch0:         guile-gnome-allowed-options.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:    ppc64

BuildRequires:  guile-cairo-devel
BuildRequires:  g-wrap-devel >= 1.8.9
BuildRequires:  libgnomeui-devel, glibc
Requires:       guile

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
The guile-gnome project brings the power of Scheme to your graphical
application. guile-gnome modules support the entire GNOME library
stack: from Pango to GnomeCanvas, GTK+ to GStreamer, Glade to
GtkSourceView, you will find in guile-gnome a comprehensive
environment for developing modern applications.


%package	devel
Summary:	Libraries and header files for %{name}
Group:		Development/Libraries

Requires:	%{name} = %{version}-%{release}
Requires:       g-wrap-devel, guile-cairo-devel
Requires:       ORBit2-devel, pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.




%prep
%setup -q

#Allowed options grom g-wrap-1.9.9
%patch0 -p1 -b .allowed-options

#Fix default paths
sed -i "s|local/||" glib/bin/guile-gnome.in
sed -i "s|share/guile|share/guile/site|" configure
sed -i "s|>= 2.18||" configure

sed -i "s|guile-gnome|guile-gnome-0|" defs/guile-gnome-defs.pc.in


#Fix OPTFLAGS on gtk/gnome/gw build
sed -i "s|CFLAGS = -g|CFLAGS = @CFLAGS@ -g|" gtk/gnome/gw/Makefile.in


%build
export LDFLAGS="-lORBit-2 -lbonobo-2"

%configure --disable-libtool-lock --disable-static --disable-Werror
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#Remove .la files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#Remove deprecated file
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/guile-gnome-tutorial.info.gz %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/guile-gnome-tutorial.info.gz %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog NEWS
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/guile-gnome-0
%dir %{_libdir}/orbit-2.0
%{_libdir}/guile-gnome-0/*.so.*
%{_libdir}/orbit-2.0/*.so.*
%{_datadir}/guile-gnome-0
%{_datadir}/guile/site/gnome-0.scm
%{_infodir}/*.info.gz


%files	devel
%defattr(-,root,root,-)
%doc HACKING
%{_libdir}/*.so
%{_libdir}/guile-gnome-0/*.so
%{_libdir}/orbit-2.0/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/guile-gnome-0



%changelog
* Sat Sep 06 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.15.93-8
- Rebuild for rawhide.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.15.93-7
- Autorebuild for GCC 4.3

* Tue Sep 11 2007 XAvier Lamien < lxtnow[at]gmail.com > - 2.15.93-6
- linked missing libraries.

* Mon Sep 10 2007 Xavier Lamien < lxtnow[at]gmail.com > - 2.15.93-5
- Fixed optflags for gtk build.
- Enhanced requires.

* Sun Sep 02 2007 Xavier Lamien < lxtnow[at]gmail.com > - 2.15.93-4
- Exclude pcc64.
- Fixed Requires & default permissions on files.

* Mon Aug 27 2007 XAvier Lamien < lxtnow[at]gmail.com > - 2.15.93-3
- Add missing BR & Requires.

* Sun Aug 19 2007 Xavier Lamien < lxtnow[at]gmail.com > - 2.15.93-2
- Patched to build against g-wrap-1.9.9.

* Tue Jul 10 2007 Xavier Lamien < lxtnow[at]gmail.com > - 2.15.93-1
- Initial RPM Release.
